---
title: "Get output"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`GET /v2/reporter/report-runs/{id}/output`

## Path parameters

- `id` (`reporter-report-runs-get-output.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/reporter/report-runs/<id>/output'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/report-runs/<id>/output';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/report-runs/<id>/output"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "reportRunId": "f4a11d1c-8da3-4ee0-abdd-af00e260f7bd",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "reportingIntentId": "string",
    "accountingConnectionId": "15a34c5a-2153-4717-b80d-7b1b9ec1ead9",
    "sourceSystem": "string",
    "period": {
      "start": "string",
      "end": "string"
    },
    "generatedAt": "2019-08-24T14:15:22Z",
    "dataFreshnessAt": "2019-08-24T14:15:22Z",
    "outputUri": "string"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`reporter-report-runs-get-output.response.200.data`; object, required)
  - `reportRunId` (`reporter-report-runs-get-output.response.200.data.reportRunId`; string, required)
    - format `uuid`
  - `entityId` (`reporter-report-runs-get-output.response.200.data.entityId`; string, required)
    - format `uuid`
  - `reportingIntentId` (`reporter-report-runs-get-output.response.200.data.reportingIntentId`; string, required)
    - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
  - `accountingConnectionId` (`reporter-report-runs-get-output.response.200.data.accountingConnectionId`; string, required)
    - format `uuid`
  - `sourceSystem` (`reporter-report-runs-get-output.response.200.data.sourceSystem`; string, required)
    - minLength 1
  - `period` (`reporter-report-runs-get-output.response.200.data.period`; object, required)
    - `start` (`reporter-report-runs-get-output.response.200.data.period.start`; string, required)
      - minLength 1
    - `end` (`reporter-report-runs-get-output.response.200.data.period.end`; string, required)
      - minLength 1
  - `generatedAt` (`reporter-report-runs-get-output.response.200.data.generatedAt`; string, required)
    - format `date-time`
  - `dataFreshnessAt` (`reporter-report-runs-get-output.response.200.data.dataFreshnessAt`; string, required)
    - format `date-time`
  - `outputUri` (`reporter-report-runs-get-output.response.200.data.outputUri`; string, required)
    - minLength 1
- `meta` (`reporter-report-runs-get-output.response.200.meta`; object, optional)
  - `timestamp` (`reporter-report-runs-get-output.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-get-output.response.400.error`; object, required)
  - `code` (`reporter-report-runs-get-output.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-get-output.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-get-output.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-get-output.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-get-output.response.401.error`; object, required)
  - `code` (`reporter-report-runs-get-output.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-get-output.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-get-output.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-get-output.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-get-output.response.403.error`; object, required)
  - `code` (`reporter-report-runs-get-output.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-get-output.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-get-output.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-get-output.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-get-output.response.404.error`; object, required)
  - `code` (`reporter-report-runs-get-output.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-get-output.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-get-output.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-get-output.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-runs-get-output.response.500.error`; object, required)
  - `code` (`reporter-report-runs-get-output.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-runs-get-output.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-runs-get-output.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-runs-get-output.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-report-runs-get-output/index.md
